Arduino

Reference Language | Libraries | Comparison | Changes

Ethernet : UDP.write()

#### Description

Writes UDP data to the remote connection. Must be wrapped between beginPacket() and endPacket(). beginPacket() initializes the packet of data, it is not sent until endPacket() is called.

#### Syntax

UDP.write(message);

#### Parameters

message: the outgoing message (char)

#### Returns

byte : returns the number of characters sent. This does not have to be read

#### Example

      #include <SPI.h>

    #include <Ethernet.h>

    #include <EthernetUdp.h>

    // Enter a MAC address and IP address for your controller below.

    // The IP address will be dependent on your local network:

    byte mac[] = { 0xDE, 0xAD, 0xBE, 0xEF, 0xFE, 0xED };

    IPAddress ip(192, 168, 1, 177);

    unsigned int localPort = 8888;      // local port to listen on

    // An EthernetUDP instance to let us send and receive packets over UDP

    EthernetUDP Udp;

    void setup() {

      // start the Ethernet and UDP:

      Ethernet.begin(mac,ip);

      Udp.begin(localPort);

    }

    void loop() {

      Udp.beginPacket(Udp.remoteIP(), Udp.remotePort());

        Udp.write("hello");

        Udp.endPacket();

    }
      [Get Code]

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes